/*
 * FixedAllocator.h
 *
 *  Created on: Feb 22, 2011
 *      Author: lipari
 */

#ifndef FIXEDALLOCATOR_H_
#define FIXEDALLOCATOR_H_

#include <stack>
#include <exception>

class FixedAllocator {
	char *array;
	std::stack<char *> freepos;
public:
	FixedAllocator(size_t s, int nelem);
	virtual ~FixedAllocator();

	void *alloc() throw(std::bad_alloc);
	void free(void *p);
};

#endif /* FIXEDALLOCATOR_H_ */
